<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Fileli
 */
  $home = get_category_by_slug('home')->cat_ID;

  $category = get_queried_object();
  $category_ancestors = get_ancestors($category->term_id, 'category');
  $category_base = false;
  if ( !empty($category_ancestors) ) {
    if (count($category_ancestors)==1) {
      $category_base = $category;
    } else {
      $category_base = get_category($category_ancestors[count($category_ancestors)-2]);
    }
  } 
  $my_posts = get_posts( array(
    'name'           => $category_base->slug,
    'post_type'      => 'page',
    'post_status'    => 'publish',
    'posts_per_page' => 1
  ));
  if (!empty($my_posts)) {
    set_query_var( 'toplevel_class', 'three-cols' );
    set_query_var( 'toplevel_parent', $my_posts[0]);
    set_query_var( 'toplevel_posts', $category_base->count > 0 || current_user_can( 'publish_posts' ));
    get_header('subs');
  } else {
    get_header();
  }  
?>
  <header id="sectionHeader">

    <h1 class="archive-title "><?php echo get_the_title( get_option('page_for_posts', true)); ?></h1>
  </header><!-- .page-header -->
  <div id="primary" class="content-area">
    <nav class="categorymenu" id="secondarymenu">
      <ul>
<?php 
    $args = current_user_can('publish_posts') ? array(
      'child_of' => $category_base->term_id,
      'title_li' => '', 
      'hide_empty' => false,
      'exclude' => $home
    ) : array(
      'child_of' => $category_base->term_id,
      'title_li' => '', 
    );
    wp_list_categories( $args );
  ?>
      </ul>
    </nav>
    <article>
      <h2><?php echo $category->name; ?></h2>
<?php 
  array_unshift($category_ancestors, get_query_var('cat'));
//  echo "<pre>";print_r($category_ancestors); echo "</pre>";
  $slugs = array();
  $names = array();
  foreach ($category_ancestors as $cat) {
    $term = get_term($cat);
    $slugs[] = $term->slug;
    $names[] =  $term->name;
  }
  array_pop($names);
  if (current_user_can('publish_posts')) {
	  $category = get_query_var('cat');
	  $current_cat = get_category($category);
?>
      <div class="admin-element">
        <a href="/help/articoli/categorie" class="aio-icon help-link"><?php esc_html_e( 'Why should I use categories?', 'fileli' ); ?></a>
        <a href="/wp-admin/post-new.php?post_type=post&post_cat=<?php echo esc_html(implode($slugs, ',')); ?>" class="edit-link"><?php esc_html_e( 'Insert new post', 'fileli' ); ?></a>
        <span class="aio-note"><?php esc_html_e( 'This new post will classified in the category', 'fileli' ); ?> "<strong><?php echo implode(array_reverse($names), ' &gt; '); ?></strong>".</span>
      </div>
<?php 
  }

  if ( have_posts() ) :
/* Start the Loop */
		while ( have_posts() ) :
			the_post();

      /*
       * Include the Post-Type-specific template for the content.
       * If you want to override this in a child theme, then include a file
       * called content-___.php (where ___ is the Post Type name) and that will be used instead.
       */
      get_template_part( 'template-parts/content', get_post_type() );

    endwhile;
			the_posts_navigation();
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
?>
    </article>
<?php 
  get_sidebar();
?>
  </div><!-- #primary -->

<?php
// get_footer(get_post_field( 'post_name', $my_posts[0]->ID ));

  $footer = get_page_by_path( $category_base->slug . '/footer');
  if ($footer) {
    set_query_var( 'content', $footer );
    get_footer('courses');
  } else {
    get_footer();
  }
