<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Fileli
 */
$subs = get_category_by_slug('subs')->cat_ID . ',' . get_category_by_slug('home')->cat_ID;
get_header();
//      echo "<pre>";print_r($post);echo "</pre>";
?>
  <header id="sectionHeader">
  <?php
      printf( '<h1 class="entry-title">%s</h1>', get_the_title( get_option('page_for_posts', true) ) );
  ?>
  </header>
  <div id="primary" class="content-area">
    <nav class="categorymenu" id="secondarymenu">
<?php 
  printf( __( '<h2 class="archive-title">Categorie %s</h2>', 'fileli'), get_the_title( get_option('page_for_posts', true) ) ); 
?>
      <ul>
<?php 
    $args = current_user_can('edit_posts') ? array(
      'title_li' => '', 
      'hide_empty' => false,
      'exclude' => $subs
    ) : array(
      'title_li' => '', 
      'exclude' => '1,' . $subs
    );
    wp_list_categories( $args );
?>
      </ul>
    </nav>
    <article>
<?php
  if ( have_posts() ) :
    if ( is_home() && ! is_front_page() ) :
?>
    <header id="articleHeader">
      <h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
    </header>
<?php
  endif;
?>
    <ul>
<?php
  /* Start the Loop */
while ( have_posts() ) :
  the_post();
/*
     * Include the Post-Type-specific template for the content.
     * If you want to override this in a child theme, then include a file
     * called content-___.php (where ___ is the Post Type name) and that will be used instead.
     */
  echo "<li>";
  get_template_part( 'template-parts/content', get_post_type() );
  echo "</li>";

endwhile;
?>
    </ul>
<?php
  the_posts_navigation();

else :

  get_template_part( 'template-parts/content', 'none' );

endif;
?>
    </article>
<?php
  get_sidebar();
?>
  </div> <!-- end primary -->
<?php
  get_footer();
?>