<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Fileli
 */
/*
Vai alla prima pagina figlia se questa pagina è senza contenuti
*/
  $pagekids = get_pages("child_of=".$post->ID."&sort_column=menu_order");
  if ($pagekids && empty($post->post_content)) {
    $firstchild = $pagekids[0];
    wp_redirect(get_permalink($firstchild->ID));
  }
  set_query_var( 'toplevel_class', '' );
  get_header();
?>
  <header id="sectionHeader">
<?php
/* trova il titolo della sezione */ 
  $parents = get_post_ancestors( $post->ID );
  if ( is_page() && ! empty($parents) ) {
    $toplevel_parent_id = ($parents) ? $parents[count($parents)-1]: $post->ID;
    echo '<h1 class="section-title">';
    $index = count($parents);
    while($index) {
      $index--;
      echo sprintf("<a href=" . esc_url( get_permalink( $parents[$index] ) ) . ">%s</a>",  get_the_title($parents[$index]) );
    }
    echo '</h1>'; 
  } else {
    $section_title = get_the_title();
    $toplevel_parent_id = $post->ID;
    the_title( '<h1 class="section-title">', '</h1>' ); 
  }
?>
  </header>
  <div id="primary" class="content-area">
    <nav class="secondarymenu" id="secondarymenu">
      <ul>
<?php
    wp_list_pages( array(
      'title_li' => NULL,
      'child_of' => $toplevel_parent_id,
      'sort_column' => 'menu_order',
      'link_after' => '<span></span>'
    ));
?>
      </ul>
    </nav>
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php
  while ( have_posts() ) :
    the_post();
    set_query_var( 'toplevel_parent_id', absint( $toplevel_parent_id ) );
    get_template_part( 'template-parts/content', 'page' );
    
		// If comments are open or we have at least one comment, load up the comment template.
		if ( comments_open() || get_comments_number() ) :
			comments_template();
		endif;
  endwhile; // End of the loop.
?>
    </article><!-- #post-<?php the_ID(); ?> -->
<?php
    get_sidebar();
?>
  </div><!-- #primary -->
<?php
  get_footer();
?>
